Set the appearance of a field

- « fdf_save

- fdf_set_encoding »

- PHP Manual
- FDF Functions
- Set the appearance of a field

# fdf_set_ap

(PHP 4, PHP 5 < 5.3.0, PECL fdf SVN)

fdf_set_ap — Set the appearance of a field

### Description

fdf_set_ap(
resource `$fdf_document`,
string `$field_name`,
int `$face`,
string `$filename`,
int `$page_number`
): bool

Sets the appearance of a field (i.e. the value of the `/AP` key).

### Parameters

`fdf_document`

  The FDF document handle, returned by fdf_create(), fdf_open() or fdf_open_string().

`field_name`

`face`

  The possible values `FDFNormalAP`, `FDFRolloverAP` and `FDFDownAP`.

`filename`

`page_number`

### Return Values

Returns `true` on success or `false` on failure.